Uploading imported package to hackage 2

Erik Hesselink hesselink at gmail.com
Sat Sep 1 19:11:54 CEST 2012

On Sat, Sep 1, 2012 at 5:11 PM, Ian Lynagh <ian at well-typed.com> wrote:
> On Fri, Aug 31, 2012 at 11:27:46AM +0200, Erik Hesselink wrote:
>> On Fri, Aug 31, 2012 at 11:12 AM, Erik Hesselink <hesselink at gmail.com> wrote:
>> > On Fri, Aug 31, 2012 at 2:13 AM, Leon Smith <leon.p.smith at gmail.com> wrote:
>> >> Ok, I tried to upload the most recent version of postgresql-simple,  and I
>> >> couldn't because I'm not the maintainer for that package.
>> >
>> > What is your account name? I can add you as a maintainer for this package.
>> I've experimented with this a bit. As an admin, I cannot edit the
>> maintainers list. I had to add myself to the trustees group. Then I
>> added myself as the maintainer of one of my packages. However,
>> uploading a new version still failed. I cannot find a way to upload
>> one of the existing imported packages. Does anyone have an idea why?
> I've just disabled the per-package-uploader test; does it work now?
> If not, what error are you getting? And which package and package
> version are you trying to upload?

It's still not working. I'm trying to upload a new version of kqueue
( I start from
http://new-hackage.haskell.org/packages/upload, select the file and
press upload. This posts to http://new-hackage.haskell.org/packages/,
where I get a 403. The HTML says "No access for this page." This is
from Firefox 15 on Mac OS X.

Uploading a 'candidate' did work, which you can see at


More information about the cabal-devel mailing list